<?php

namespace Drupal\watchdog_slack\FormControllers;

class Settings extends \Drupal\cool\BaseSettingsForm {

  static public function getId() {
    return 'watchdog_slack_settings';
  }

  static public function build() {
    $form = parent::build();

    $form['watchdog_slack_channel'] = array(
      '#type' => 'textfield',
      '#title' => t('Slack channel to receive Watchdog notifications.'),
      '#default_value' => variable_get('watchdog_slack_channel', ''),
      '#required' => TRUE
    );

    $form['watchdog_slack_username'] = array(
      '#type' => 'textfield',
      '#title' => t('Username for notifications'),
      '#description' => t('How do you like to name your Slack bot?'),
      '#default_value' => variable_get('watchdog_slack_username', 'Drupal Watchdog'),
    );

    $severity_levels_to_log = watchdog_severity_levels();
    $form['watchdog_slack_severity'] = array(
      '#title' => t('Severity levels to log'),
      '#type' => 'select',
      '#multiple' => TRUE,
      '#size' => 8,
      '#options' => $severity_levels_to_log,
      '#default_value' => variable_get('watchdog_slack_severity'),
    );
    return $form;
  }
}